Subject: Re: bug#56637: 28.1.90; [FR] Allow a way around font-lock-mode being unconditionally disabled in " *hidden*" buffers

From: Stefan Monnier <[email-masked]>
Date: Mon, 25 Jul 2022 11:56:22 -0400

> In my case, the main difference is in org-src-font-lock-fontify-block.
> Its purpose is copying the text fontification from major mode buffer to
> Org mode buffer. The copying is done by checking 'face and
> font-lock-extra-managed-props properties, which is sufficient as long as
> font-lock-mode is activated. When font-lock-mode is not activated,
> copying 'face is not enough, and we have to copy 'font-lock-face.

You're slowly inching toward a concrete case, but it would be much
simpler and faster to just give a recipe telling what you do, what you
see, and what you'd like to see instead.
You know: a normal bug report.

        Stefan